# SoDrawStyle Class Reference
[Nodes]

`#include <Inventor/nodes/SoDrawStyle.h>`

Inheritance diagram for SoDrawStyle:

List of all members.

## Detailed Description

The SoDrawStyle class specificies common rendering properties for shapes.

Use SoDrawStyle nodes to influence how shape nodes following them in the scenegraph will be rendered. This node type have fields to help decide how certain aspects of point-based shapes, line-based shapes and filled shape primitives are rendered.

Simple scenegraph structure usage example:

      #Inventor V2.1 ascii

      Separator {
         Sphere { }
         Translation { translation 4 0 0 }
         DrawStyle { style LINES  lineWidth 2 }
         Sphere { }
         Translation { translation 4 0 0 }
         DrawStyle { style POINTS  pointSize 2 }
         Sphere { }
      }

## Public Types

enum | Style { FILLED = SoDrawStyleElement::FILLED, LINES = SoDrawStyleElement::LINES, POINTS = SoDrawStyleElement::POINTS, INVISIBLE = SoDrawStyleElement::INVISIBLE }

## Public Member Functions

| SoDrawStyle (void)
virtual void | doAction (SoAction *action)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | callback (SoCallbackAction *action)

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoSFEnum | style
SoSFFloat | pointSize
SoSFFloat | lineWidth
SoSFUShort | linePattern

## Protected Member Functions

virtual | ~SoDrawStyle ()

## Member Enumeration Documentation

enum SoDrawStyle::Style

Enumeration for the various ways to render geometry.

Enumeration values:

  FILLED | Render all geometry as-is.
  LINES | Render all geometry as border lines.
  POINTS | Render all geometry as vertex points.
  INVISIBLE | Don't render geometry.

## Constructor & Destructor Documentation

SoDrawStyle::SoDrawStyle | ( | void |  | ) |

| Constructor.

SoDrawStyle::~SoDrawStyle | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoDrawStyle::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoNode.

void SoDrawStyle::doAction | ( | SoAction * | action | ) | `[virtual]`

| This function performs the typical operation of a node for any action. Reimplemented from SoNode.

void SoDrawStyle::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoNode.

void SoDrawStyle::callback | ( | SoCallbackAction * | action | ) | `[virtual]`

| Action method for SoCallbackAction. Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph. Reimplemented from SoNode.

## Member Data Documentation

SoSFEnum SoDrawStyle::style

| How to render the geometry following a drawstyle node in the scene graph. Default SoDrawStyle::FILLED.

SoSFFloat SoDrawStyle::pointSize

Size in screen pixels of SoPointSet points, and also of geometry vertex points if setting the SoDrawStyle::style to SoDrawStyle::POINTS.

The valid range of pointsize settings varies according to which OpenGL implementation is used. For the purpose of not trying to set illegal values, the application programmer should at run-time check the valid range. How this can be accomplished is described in the class documentation of SoGLPointSizeElement.

Default value is 0.0f, which is a "tag" value which tells the rendering library to use the default setting.

SoSFFloat SoDrawStyle::lineWidth

Width in screen pixels of SoLineSet and SoIndexedLineSet lines, and also of geometry border lines if setting the SoDrawStyle::style to SoDrawStyle::LINES.

The valid range of linewidth settings varies according to which OpenGL implementation is used. For the purpose of not trying to set illegal values, the application programmer should at run-time check the valid range. How this can be accomplished is described in the class documentation of SoGLLineWidthElement.

Default value is 0.0f, which is a "tag" value which tells the rendering library to use the default setting.

SoSFUShort SoDrawStyle::linePattern

| Pattern as a bitmask used when drawing lines. Default is 0xffff (no "holes").

The documentation for this class was generated from the following files:

- SoDrawStyle.h
- SoDrawStyle.cpp